### Constructor

# Gtk ClosureExpression new

#### Declaration [src]

    GtkExpression*
    gtk_closure_expression_new (
      GType value_type,
      GClosure* closure,
      guint n_params,
      GtkExpression** params
    )

#### Description [src]

Creates a `GtkExpression` that calls `closure` when it is evaluated.

`closure` is called with the `this` object and the results of evaluating the `params` expressions.

#### Parameters

`value_type` | `GType`
| The type of the value that this expression evaluates to.
`closure` | `GClosure*`
| Closure to call when evaluating this expression. If closure is floating, it is adopted.
| The data is owned by the caller of the function.
`n_params` | `guint`
| The number of params needed for evaluating `closure`.
`params` | An array of `GtkExpression`
| Expressions for each parameter.
| The argument can be `NULL`.
| The length of the array is specified in the `n_params` argument.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `GtkClosureExpression`
| A new `GtkExpression`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.